perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stas Bekman <s...@stason.org>
Subject Re: module requires either Apache::Foo or Apache2::Foo
Date Tue, 28 Jun 2005 16:10:16 GMT
Michael Peters wrote:
> Hello all,
> 
> I have a module that can be run either under mod_perl 1 and 2. This
> works great when running and testing using Apache-Test, but the bit I'm
> having problems with is the install.
> 
> For it to run properly it needs either Apache::Constants or
> Apache2::Const. This is easy enough to figure out which one to pick at
> run time (or compile time) but I can't figure out a good way to do this
> at build time using either M::B or EU::MM so that the appropriate
> prerequs are followed or at least complained about.

You don't want to ask for neither Apache::Constants nor Apache2::Const, 
since each of these packages are in the mod_perl core, so you should 
simply ask for mod_perl :)



-- 
__________________________________________________________________
Stas Bekman            JAm_pH ------> Just Another mod_perl Hacker
http://stason.org/     mod_perl Guide ---> http://perl.apache.org
mailto:stas@stason.org http://use.perl.org http://apacheweek.com
http://modperlbook.org http://apache.org   http://ticketmaster.com

Mime
View raw message